#version 120
uniform vec4 color;
uniform float ambientLight;

void main() {
	float lightValue = min(1.0, ambientLight);
	gl_FragColor = vec4(color.r * lightValue * color.a, color.g * lightValue * color.a, color.b * lightValue * color.a, color.a);
}